readCel2eSet {tilingArray} | R Documentation

## Read celfiles into an ExpressionSet object.

### Description

This is a wrapper for `ReadAffy` that returns an `ExpressionSet` object rather than an AffyBatch. This is particularly usefiles for arrays for which we have or need no CDF environment.

### Usage

    readCel2eSet(filename, adf, path=".", rotated=FALSE, ...)

### Arguments

`filename` | Character vector with CEL file names. Either `filename` or `adf` need to be specified, but not both.
`adf` | Object of class `AnnotatedDataFrame`.
`path` | Character scalar with path to CEL files.
`rotated` | Logical scalar, see details.
`...` | Further arguments that are passed on to `new("ExpressionSet")`.

### Details

The `rotate` options allows to deal with different versions of the scanner software. Older versions rotated the image by 90 degrees, newer ones do not. Use the default `rotated=FALSE` for CEL files produced by the newer version.

### Value

`ExpressionSet` object.

### Author(s)

W. Huber

### Examples

    ## To test the rotation, look at the scatterplot between two DNA hybes
    ## that were measured with scanner software that rotated (041120) and did
    ## not rotate (060125)
    ##
    ## cp /ebi/research/huber/Projects/tilingArray/Celfiles/041120_S96genDNA_re-hybe.cel.gz ~/p/tmp
    ## cp /ebi/research/huber/Projects/allelicTranscription/celfiles_allelictrans/060125_S96_genomicDNA.zip ~/p/tmp
    ## cd ~/p/tmp
    ## gunzip 041120_S96genDNA_re-hybe.cel.gz
    ## unzip 060125_S96_genomicDNA.zip
    ##
    ## Not run:
    library("affy")
    options(error=recover)

    e1 = readCel2eSet("041120_S96genDNA_re-hybe.cel", rotated=TRUE)
    e2 = readCel2eSet("060125_S96_genomicDNA.CEL")

    smoothScatter(log(exprs(e1)), log(exprs(e2)), nrpoints=0)
    ## End(Not run)

[Package tilingArray version 1.22.0 Index]